libzypp: zypp::Deferred Struct Reference

libzypp 17.36.6

Public Member Functions | List of all members
zypp::Deferred Struct Reference

`#include <zypp-core/AutoDispose.h>`

Inheritance diagram for zypp::Deferred:

## Public Member Functions
template<typename F>
| Deferred (F &&cb)
Public Member Functions inherited from zypp::AutoDispose< Tp >
| AutoDispose ()
| Default Ctor using default constructed value and no dispose function.
| AutoDispose (Dispose dispose_r)
| Ctor taking dispose function and using default constructed value.
| AutoDispose (value_type value_r)
| Ctor taking value and no dispose function.
| AutoDispose (value_type value_r, Dispose dispose_r)
| Ctor taking value and dispose function.
| operator reference () const
| Provide implicit conversion to `Tp&`.
reference | value () const
| Reference to the `Tp` object.
reference | operator* () const
| Reference to the `Tp` object.
value_type * | operator-> () const
| Pointer to the `Tp` object (asserted to be `!= NULL`).
void | reset ()
| Reset to default Ctor values.
void | swap (AutoDispose &rhs) noexcept
| Exchange the contents of two AutoDispose objects.
bool | unique () const
| Returns true if this is the only AutoDispose instance managing the current data object.
const Dispose & | getDispose () const
| Return the current dispose function.
void | setDispose (const Dispose &dispose_r)
| Set a new dispose function.
void | resetDispose ()
| Set no dispose function.
void | swapDispose (Dispose &dispose_r)
| Exchange the dispose function.

## Additional Inherited Members
Public Types inherited from zypp::AutoDispose< Tp >
using | param_type = typename boost::call_traits<Tp>::param_type
using | reference = typename boost::call_traits<Tp>::reference
using | const_reference = typename boost::call_traits<Tp>::const_reference
using | value_type = Tp
using | result_type = typename boost::call_traits<Tp>::value_type
using | dispose_param_type = std::conditional_t< std::is_pointer_v<Tp> || std::is_integral_v<Tp>, Tp const, reference >
using | Dispose = function<void ( dispose_param_type )>
| Dispose function signatue.
Related Symbols inherited from zypp::AutoDispose< Tp >
template<class Tp>
std::ostream & | operator<< (std::ostream &str, const AutoDispose< Tp > &obj)
| Stream output of the `Tp` object.

## Detailed Description

Definition at line 278 of file AutoDispose.h.

## Constructor & Destructor Documentation

## ◆ Deferred()

template<typename F>

zypp::Deferred::Deferred | ( | F && | cb | ) |

Definition at line 285 of file AutoDispose.h.

The documentation for this struct was generated from the following file:

- zypp-core/AutoDispose.h